package router

import (
	"go-account-register/api"

	"github.com/gin-gonic/gin"
)

type Twitter struct{}

var twitterApi api.Twitter

func (*Twitter) TwitterRouterInit(app *gin.Engine) {
	twitter := app.Group("/twitter")
	twitter.POST("/register", twitterApi.Register)
	twitter.GET("/login", twitterApi.Login)   // 登录账号
	twitter.GET("/logout", twitterApi.Logout) // 退出登录
	twitter.POST("/register1", twitterApi.Register1)
}
